import { executeQuery } from '../Connection/QueriesExecutor.js'

const getMenuRestaurants = async function (consDetails) {
    const { CDCLIENTE  } = consDetails
    const result = await executeQuery({sql: 'GET_ALL_FILIAIS',
        binds: { CDCLIENTE },
        rawReturn: true
    })

    return result
}

const clienteFilial = async function (CDFILIAL, CDCLIENTE) {
    const result = await executeQuery({sql: 'CLIENTE_FILIAL',
        binds: { CDFILIAL, CDCLIENTE },
        rawReturn: true
    })

    return result
}

const tabelaVendaOracle = async function (CDFILIAL, CDTABEPREC) {
    const result = await executeQuery({sql: 'TABELA_VENDA_ORACLE',
        binds: { CDFILIAL, CDTABEPREC }
    })

    return result
}

const precoCliente = async function (CDCLIENTE) {
    const result = await executeQuery({sql: 'EXISTE_PRECO_CLIE',
        binds: { CDCLIENTE },
        rawReturn: true
    })

    return result
}

const precoLoja = async function (CDFILIAL, CDLOJA) {
    const result = await executeQuery({sql: 'TABELA_PRECO_LOJA',
        binds: { CDFILIAL, CDLOJA },
        rawReturn: true
    })

    return result
}

const paravend = async function (CDFILIAL) {
    const result = await executeQuery({sql: 'PARAVEND',
        binds: { CDFILIAL },
        rawReturn: true
    })

    return result
}

const oraclePrecos = async function (CDFILIAL, CDTABEPREC, DTINIVGPREC) {
    const result = await executeQuery({sql: 'ORACLE_PRECOS',
        binds: { CDFILIAL, CDTABEPREC, DTINIVGPREC },
        rawReturn: true
    })

    return result
}

const oraclePrecosDia = async function (CDFILIAL, CDTABEPREC, DTINIVGPREC, HORA, NRDIASEMANPR, CDTIPOCONSPD) {
    const result = await executeQuery({sql: 'ORACLE_PRECOS_DIA',
        binds: { CDFILIAL, CDTABEPREC, DTINIVGPREC, NRDIASEMANPR: NRDIASEMANPR.toString(), CDTIPOCONSPD },
        rawReturn: true
    })

    return result
}

const gruposProduto = async function (CDFILIAL, CDLOJA, NRCONFTELA) {
    const result = await executeQuery({sql: 'BUSCA_GRUPO_PRODUTOS',
        binds: { CDFILIAL, NRCONFTELA },
        rawReturn: true
    })

    return result
}

const subGrupoProdutos = async function (CDFILIAL, NRCONFTELA) {
    const result = await executeQuery({sql: 'BUSCA_SUBGRUPO_PRODUTOS',
        binds: { CDFILIAL, NRCONFTELA },
        rawReturn: true
    })

    return result
}

const getProdutos = async function (CDFILIAL, CDLOJA, NRCONFTELA, NRDIASEMANABLOQ) {
    const result = await executeQuery({sql: 'BUSCA_PRODUTOS_ORACLE',
        binds: { CDFILIAL, CDLOJA, NRCONFTELA, NRDIASEMANABLOQ: NRDIASEMANABLOQ.toString() },
        rawReturn: true
    })

    return result
}

const observacoesProduto = async function (CDFILIAL, CDLOJA, NRDIASEMANABLOQ) {
    const result = await executeQuery({sql: 'BUSCA_OBSERVACOES_PRODUTO',
        binds: { CDFILIAL, CDLOJA, NRDIASEMANABLOQ: NRDIASEMANABLOQ.toString() },
        rawReturn: true
    })

    return result
}

const itemPrecoOracle = async function (CDFILIAL, CDTABEPREC, DTINIVGPREC, CDPRODUTO) {
    const result = await executeQuery({sql: 'ITEM_PRECO_ORACLE',
        binds: { CDFILIAL, CDTABEPREC, DTINIVGPREC, CDPRODUTO },
        rawReturn: true
    })

    return result
}

const tipoConsumidor = async function (CDCLIENTE, CDCONSUMIDOR) {
    const result = await executeQuery({sql: 'TIPO_CONSUMIDOR',
        binds: { CDCLIENTE, CDCONSUMIDOR },
        rawReturn: true
    })

    return result
}

const feriado = async function (CDFILIAL, DTFERIFILI) {
    const result = await executeQuery({sql: 'FERIADO',
        binds: { CDFILIAL, DTFERIFILI },
        rawReturn: true
    })

    return result
}

const itemPrecoDiaOracle = async function (CDFILIAL, CDTABEPREC, DTINIVGPREC, CDPRODUTO, CDPRPAITABPR, NRDIASEMANPR, CDTIPOCONSPD, HORA) {
    const result = await executeQuery({sql: 'ITEM_PRECO_DIA_ORACLE',
        binds: { CDFILIAL, CDTABEPREC, DTINIVGPREC, CDPRODUTO, CDPRPAITABPR, NRDIASEMANPR: NRDIASEMANPR.toString(), CDTIPOCONSPD, HORA },
        rawReturn: true
    })

    return result
}

const impressorasProduto = async function (CDFILIAL, CDLOJA, CDPRODUTO, NRCONFTELA) {
    const result = await executeQuery({sql: 'SQL_GET_IMP_PRODUTOS',
        binds: { CDFILIAL, CDLOJA, CDPRODUTO, NRCONFTELA },
        rawReturn: true
    })

    return result
}

const gruposPromocaoInteligenteFilial = async function (CDIDENTBUTON, CDFILIAL) {
    const result = await executeQuery({sql: 'SQL_GRUPOS_PROMO_INT_FILI',
        binds: { CDIDENTBUTON, CDFILIAL },
        rawReturn: true
    })

    return result
}

const gruposPromocaoInteligente = async function (CDIDENTBUTON) {
    const result = await executeQuery({sql: 'SQL_GRUPOS_PROMO_INT',
        binds: { CDIDENTBUTON },
        rawReturn: true
    })

    return result
}

const prodPromoInteligenteOracle = async function (CDIDENTBUTON, CDGRUPROMOC, CDFILIAL, CDLOJA, NRDIASEMANABLOQ) {
    const result = await executeQuery({sql: 'ORACLE_PRODUTOS_PROMO_INT',
        binds: { CDIDENTBUTON, CDGRUPROMOC, CDFILIAL, CDLOJA, NRDIASEMANABLOQ: NRDIASEMANABLOQ.toString() },
        rawReturn: true
    })

    return result
}

const prodPromoInteligenteFilialOracle = async function (CDIDENTBUTON, CDGRUPROMOC, CDFILIAL, CDLOJA, NRDIASEMANABLOQ) {
    const result = await executeQuery({sql: 'ORACLE_PRODUTOS_PROMO_INT_FILI',
        binds: { CDIDENTBUTON, CDGRUPROMOC, CDFILIAL, CDLOJA, NRDIASEMANABLOQ: NRDIASEMANABLOQ.toString() },
        rawReturn: true
    })

    return result
}

const produtosCombo = async function (CDFILIAL, CDLOJA, NRCONFTELA) {
    const result = await executeQuery({sql: 'GET_COMBO_PRODUCTS',
        binds: { CDFILIAL, CDLOJA, NRCONFTELA },
        rawReturn: true
    })

    return result
}

const produtosComboOracle = async function (CDFILIAL, CDLOJA, NRCONFTELA, IDTIPOPROD, NRDIASEMANABLOQ) {
    const result = await executeQuery({sql: 'BUSCA_PRODUTOS_COMBO_ORACLE',
        binds: { CDFILIAL, CDLOJA, NRCONFTELA, IDTIPOPROD, NRDIASEMANABLOQ: NRDIASEMANABLOQ.toString() },
        rawReturn: true
    })

    return result
}


export default { getMenuRestaurants, clienteFilial, tabelaVendaOracle, precoCliente, precoLoja, paravend, oraclePrecos, oraclePrecosDia, gruposProduto, subGrupoProdutos, getProdutos, observacoesProduto, itemPrecoOracle, tipoConsumidor, feriado, itemPrecoDiaOracle, impressorasProduto, gruposPromocaoInteligenteFilial, gruposPromocaoInteligente, prodPromoInteligenteOracle, prodPromoInteligenteFilialOracle, produtosCombo, produtosComboOracle }